<div class="input-group">
  <input class="form-control" type="text" #userinput placeholder="Digite o nome da cidade">
  <div class="input-group-append">
    <button class="input-group-text btn btn-outline-dark" (click)="getCidadeHoje(userinput.value);getCidadeFuturo(userinput.value)">Pesquisar</button>
  </div>
</div>
<div class="container">
  <div *ngIf="climaAtual">
    <div class="horario text-center fw-bold fs-2">{{ horarioAtual | date:"dd/MM"}}</div>
    <div class="localizacao text-center fw-light fs-3">{{ localizacao.name }}, {{ localizacao.country }}</div>
    <div class="temp">
      <span class="graus"><img src="assets/images/{{climaAtual.weather[0].icon}}.png" alt="" ></span>
      <h3 class="fw-bolder fs-1">{{ climaAtual.main.temp | number :'1.0-0' }} °C</h3>
    </div>
    <div class="detalhes text-center fw-bold card">
      <div class="main card-header fs-3 d-block">
        <div> Sensação Térmica {{ climaAtual.main.feels_like | number:'1.0-0'}}°C</div>
        <div> {{ climaAtual.weather[0].main }}</div>
        <div> {{ climaAtual.weather[0].description }}</div>
      </div>
      <div class="sub fs-3">
        Umidade: {{ climaAtual.main.humidity }}%
      </div>
    </div>

  </div>
</div>
<div class="card previsao-futuro">
  <div class="primary" *ngIf="primeiroDisplay">
    <h3 class="text-center">Previsão para 5 dias</h3>
    <ul *ngFor="let previsao of dataClima; let i = index">
      <li class="main text-center fw-bold" (click)="toggle(dataClima[i], i)">
        {{ previsao.dt_txt | date:'dd/MM/yy'}}
        <img src="assets/images/{{ previsao.weather[0].icon }}.png" alt="icon" class="icon">
        <span>
          {{ previsao.main.temp_min | number:'1.0-0'}}°C \
          {{ previsao.main.temp_max | number:'1.0-0'}}°C
        </span>
        <span>{{ previsao.weather[0].main }}</span>
      </li>
    </ul>
  </div>

  <div *ngIf="segundoDisplay">
    <h3 class="text-center">Previsão para 5 dias</h3>
    <ul class="sub d-flex">
      <li *ngFor="let previsao of dataClima; let i = index" [ngClass]="{'selecionado fw-bold fs-5': indexSelecionado == i}">
        <span (click)="detalhes(dataClima[i], i)" >{{ previsao.dt_txt | date:'dd/MM/yy'}}</span>
      </li>
      <i class="fa fa-caret-up" aria-hidden="true" (click)="toggle(undefined,0)"></i>
    </ul>
    <div class="text-center fs-2 fw-bold detalhes-previsao">
      {{ detalhesPrevisao.main.temp | number:'1.0-0'}}°C
    </div>
  </div>
</div>
